summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author pomfland2020-02-07 19:48:12 +0100
committer Willy Sudiarto Raharjo2020-02-07 19:48:12 +0100
commit6dddeea9151fde9281a55fcf3f4e0bc3ba0deed4 (patch)
tree7dfd469f2f1621e919e5e0e5f5c3357af5d7d97b /multimedia
parenta96c2c7095734410a43c557d7dcc1ba56dd2fb97 (diff)
downloadslackbuilds-6dddeea9151fde9281a55fcf3f4e0bc3ba0deed4.tar.gz
multimedia/vgmplay: Updated for version 0.40.9.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/vgmplay/vgmplay.SlackBuild30
-rw-r--r--multimedia/vgmplay/vgmplay.info6
2 files changed, 16 insertions, 20 deletions
diff --git a/multimedia/vgmplay/vgmplay.SlackBuild b/multimedia/vgmplay/vgmplay.SlackBuild
index 7be335ca7f..de1ce539ff 100644
--- a/multimedia/vgmplay/vgmplay.SlackBuild
+++ b/multimedia/vgmplay/vgmplay.SlackBuild
@@ -2,9 +2,7 @@
# Slackware build script for vgmplay
-# $Id: vgmplay.SlackBuild,v 1.1 2018/10/02 13:32:13 pomf Exp pomf $
-
-# Copyright 2018 pomfland
+# Copyright 2020 pomfland
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,16 +23,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=vgmplay
-VERSION=${VERSION:-0.40.8}
+VERSION=${VERSION:-0.40.9}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
+case "$( uname -m )" in
i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ *) ARCH=$( uname -m ) ;;
+esac
fi
CWD=$(pwd)
@@ -63,34 +61,32 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION/VGMPlay
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
-cd VGMPlay
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+-o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
make PREFIX=/usr CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
-# install
mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/share/vgmplay
cp vgm{play,2pcm,2wav} $PKG/usr/bin
cp $PRGNAM.1 $PKG/usr/man/man1
+
## sample config file is being copied to this location in order to avoid
## modifying the manpage
cp VGMPlay.ini $PKG/usr/share/vgmplay
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README.md SourceReadme.txt VGMPlay*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../README.md VGMPlay*.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/multimedia/vgmplay/vgmplay.info b/multimedia/vgmplay/vgmplay.info
index 2eb9e9acbf..2d26e2fb13 100644
--- a/multimedia/vgmplay/vgmplay.info
+++ b/multimedia/vgmplay/vgmplay.info
@@ -1,8 +1,8 @@
PRGNAM="vgmplay"
-VERSION="0.40.8"
+VERSION="0.40.9"
HOMEPAGE="https://github.com/vgmrips/vgmplay"
-DOWNLOAD="https://github.com/vgmrips/vgmplay/archive/0.40.8/vgmplay-0.40.8.tar.gz"
-MD5SUM="395a0b487798997695b4a3c9fdbc5001"
+DOWNLOAD="https://github.com/vgmrips/vgmplay/archive/0.40.9/vgmplay-0.40.9.tar.gz"
+MD5SUM="a2217e465c5e3bdebc47dbb15a6cb436"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""